summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2019-07-11 13:40:17 +0200
committerErich Eckner <git@eckner.net>2019-07-11 13:40:17 +0200
commit0f1b7b8c34f665164b236739e593181dba88cbd0 (patch)
tree914422f76ad872ef526d7cee9f753280058be214
parent593f865e209831a95a666204e71f5e20fb2df758 (diff)
downloadbuilder-0f1b7b8c34f665164b236739e593181dba88cbd0.tar.xz
Revert "bin/sanity-check: do not _ping_ the master mirror (ping does not work O.o) - use curl"
This reverts commit 593f865e209831a95a666204e71f5e20fb2df758. We repaired the `ping` command on the buildmaster.
-rwxr-xr-xbin/sanity-check4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/sanity-check b/bin/sanity-check
index 5160142..3813f22 100755
--- a/bin/sanity-check
+++ b/bin/sanity-check
@@ -158,9 +158,9 @@ while [ $# -gt 0 ]; do
' | \
sort -u
); do
- if ! curl -s "http://$(dig +short "${host}" | tail -n1)" >/dev/null 2>&1; then
+ if ! ping -c1 "${host}" >/dev/null 2>&1; then
if [ ${silence} -le 1 ]; then
- printf '\nThe master mirror %s is not reachable.\n' \
+ printf '\nThe master mirror %s cannot be pinged.\n' \
"${host}" | \
tee -a "${tmp_dir}/messages" >&2
fi